"""
Type stubs for css_tidy module.
"""

from typing import List, Optional

class CSSFormatter:
    def __init__(self, 
                 indent_size: int = 2,
                 max_line_length: int = 80,
                 sort_properties: bool = False,
                 remove_comments: bool = False,
                 group_selectors: bool = False) -> None: ...
    
    def format(self, css_code: str) -> str: ...
    def format_file(self, input_path: str, output_path: Optional[str] = None) -> str: ...

class CSSMinifier:
    def __init__(self, remove_comments: bool = True, remove_whitespace: bool = True) -> None: ...
    
    def minify(self, css_code: str) -> str: ...
    def minify_file(self, input_path: str, output_path: Optional[str] = None) -> str: ...

class CSSValidator:
    def __init__(self) -> None: ...
    
    def validate(self, css_code: str) -> bool: ...
    def validate_file(self, file_path: str) -> bool: ...
    def get_errors(self) -> List[str]: ...
    def get_warnings(self) -> List[str]: ...

__version__: str
__author__: str
__email__: str 